

CREATE VIEW dbo.vw_MDXQueriesToRun
AS

SELECT TOP 30
	  RowNum
	, ExecutionCount
	, LongestDuration
	, MostRecentStartTime
	, CubeName
	, MdxQuery
FROM (
		SELECT 
			RowNum = ROW_NUMBER() OVER(ORDER BY COUNT(*) DESC, MAX(Duration) DESC, MAX(StartDateTime))
			, ExecutionCount = COUNT(*)
			, LongestDuration = MAX(Duration)
			, MostRecentStartTime = MAX(StartDateTime) 
			, MdxQuery = [Query Text]
			, CubeName = MIN(
								CASE WHEN [Query Text] like '%AW MultiD%' or [Query Text] like '%Perspective1%' or [Query Text] like '%Perspective2%' THEN 'AW MultiD'
									ELSE NULL
								END
								)	
		FROM dbo.xEvents_SSAS_WarmTheCache
		GROUP BY [Query Text]
	) GroupedMDXQueries
WHERE CubeName is NOT NULL





GO


